Page MenuHomePhabricator

Missing label text for Gather special pages
Closed, ResolvedPublic

Description

I noticed at testwiki that the Special Pages associated with Gather are missing labels in the Special Pages list:

https://test.wikipedia.org/wiki/Special:SpecialPages

They are reported simply as "<gather>" and "<gatherlists>".

Event Timeline

Dragons_flight raised the priority of this task from to Needs Triage.
Dragons_flight updated the task description. (Show Details)
Dragons_flight added a project: Gather.
Dragons_flight added a subscriber: Dragons_flight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 7:52 PM
Florian claimed this task.Mar 29 2015, 8:36 PM

Change 200485 had a related patch set uploaded (by Florianschmidtwelzow):
Fix special page names on Special:SpecialPages

https://gerrit.wikimedia.org/r/200485

Jdlrobson moved this task from Needs triage to In sprint on the Gather board.Mar 30 2015, 4:32 PM

Change 200485 merged by jenkins-bot:
Fix special page names on Special:SpecialPages

https://gerrit.wikimedia.org/r/200485

@Jdlrobson, @Jhernandez: What do you think about @bmansurov's comment on https://gerrit.wikimedia.org/r/#/c/200485/ ?

Names should be arranged alphabetically.

Note there is no convention on message key ordering - it's on a per extension basis. Message keys are handled by Translatewiki anyhow. I remember trying to push for a standard sort order a long time ago but this is the only email on that subject I can find:
https://www.mail-archive.com/mediawiki-i18n@lists.wikimedia.org/msg00655.html

Oops, i thought @bmansurov means the author names? :/ Maybe he can clarify :)

Agai... ordering doesn't really matter. It's just JSON, any client can order it as they wish.

Jdlrobson closed this task as Resolved.Apr 2 2015, 4:02 PM
Jdlrobson moved this task from In sprint to Triaged bugs on the Gather board.